import React from 'react';
import { Checkbox, Flex, Label } from 'theme-ui';
export const CheckboxList = React.forwardRef((props) => {
    return (React.createElement(Flex, { sx: {
            flexWrap: 'wrap',
            justifyContent: 'flex-start',
        } }, props.options.map((option) => {
        return (React.createElement(Label, { key: option.id },
            React.createElement(Checkbox, { id: option.id, disabled: props.disabled, defaultChecked: option.checked, onChange: (event) => {
                    const dataToUpdate = props.options.find((val) => val.id === event.target.id);
                    if (dataToUpdate) {
                        dataToUpdate.checked = event.target.checked;
                        props.onChange(dataToUpdate);
                    }
                } }),
            option.value));
    })));
});
//# sourceMappingURL=CheckboxList.js.map