import React from 'react';
import { useSlate } from 'slate-react';
import { isMarkActive, toggleMark } from '../editor-helpers';
import { EditorIcon } from './EditorIcon';
import { EditorStateButton } from './EditorStateButton';
export const EditorMarkButton = ({ format, icon, }) => {
    const editor = useSlate();
    return (React.createElement(EditorStateButton, { active: isMarkActive(editor, format), onMouseDown: (event) => {
            event.preventDefault();
            toggleMark(editor, format);
        } },
        React.createElement(EditorIcon, null, icon)));
};
//# sourceMappingURL=EditorMarkButton.js.map