var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
/** @jsx jsx */
import React from 'react';
import { Box, jsx, Label } from 'theme-ui';
export const Switch = React.forwardRef((_a, ref) => {
    var { className, variant = 'switch' } = _a, props = __rest(_a, ["className", "variant"]);
    return (jsx(Label, { sx: { cursor: 'pointer' } },
        jsx(Box, Object.assign({ ref: ref, as: "input", type: "checkbox" }, props, { sx: {
                position: 'absolute',
                opacity: 0,
                zIndex: -1,
                width: 1,
                height: 1,
                overflow: 'hidden',
            } })),
        jsx(Box, { variant: variant, className: className, sx: {
                padding: 0,
                position: 'relative',
                bg: 'white',
                border: '2px solid #9AA0B5',
                borderRadius: '15px',
                height: '31px',
                width: '67px',
                mr: 2,
                'input:disabled ~ &': {
                    opacity: 0.5,
                    cursor: 'not-allowed',
                },
                '& > div': {
                    display: 'flex',
                    alignItems: 'center',
                    borderRadius: '50%',
                    height: '24px',
                    width: '24px',
                    margin: '1.5px',
                    bg: '#9AA0B5',
                    boxShadow: '0 1px 2px rgba(0, 0, 0, 0.1)',
                    position: 'relative',
                    transform: 'translateX(0%)',
                    transition: `transform 240ms cubic-bezier(0.165, 0.840, 0.440, 1.000)`,
                },
                'input:checked ~ &': {
                    bg: '#00CD98',
                    border: '2px solid #00CD98',
                    '> div': {
                        transform: 'translateX(155%)',
                        bg: 'white',
                    },
                },
            } },
            jsx(Box, null))));
});
//# sourceMappingURL=Switch.js.map