var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx } from 'theme-ui';
import { useTable } from 'react-table';
export function Table(_a) {
    var { children: _ } = _a, props = __rest(_a, ["children"]);
    const { getTableProps, getTableBodyProps, headerGroups, rows, prepareRow, } = useTable(props);
    return (
    // apply the table props
    jsx("table", Object.assign({}, getTableProps(), { sx: { borderCollapse: 'collapse', width: '100%' } }),
        jsx("thead", { sx: {
                bg: 'highlight',
            } }, 
        // Loop over the header rows
        headerGroups.map((headerGroup) => (
        // Apply the header row props
        jsx("tr", Object.assign({}, headerGroup.getHeaderGroupProps()), 
        // Loop over the headers in each row
        headerGroup.headers.map((column) => (
        // Apply the header cell props
        jsx("th", Object.assign({}, column.getHeaderProps(), { sx: {
                p: 3,
                textAlign: 'left',
                fontWeight: 'normal',
                width: column.width,
                minWidth: column.minWidth,
                maxWidth: column.maxWidth,
            } }), 
        // Render the header
        column.render('Header')))))))),
        jsx("tbody", Object.assign({}, getTableBodyProps()), 
        // Loop over the table rows
        rows.map((row) => {
            // Prepare the row for display
            prepareRow(row);
            return (
            // Apply the row props
            jsx("tr", Object.assign({}, row.getRowProps(), { sx: {
                    bg: '#FAFAFA',
                    borderBottom: '1px solid',
                    borderBottomColor: 'highlight',
                    '&:last-child': {
                        border: '0',
                    },
                } }), 
            // Loop over the rows cells
            row.cells.map((cell) => {
                // Apply the cell props
                return (jsx("td", Object.assign({}, cell.getCellProps(), { sx: { p: 3 } }), 
                // Render the cell contents
                cell.render('Cell')));
            })));
        }))));
}
//# sourceMappingURL=Table.js.map